Package ghidra.util.xml

# Class GenericXMLOutputter

java.lang.Object
org.jdom.output.XMLOutputter
ghidra.util.xml.GenericXMLOutputter

All Implemented Interfaces:
  `Cloneable`

public class GenericXMLOutputter extends org.jdom.output.XMLOutputter
A simple extension of `XMLOutputter` that sets default settings to fix common bugs.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.jdom.output.XMLOutputter

  `org.jdom.output.XMLOutputter.NamespaceStack`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_INDENT`

  ### Fields inherited from class org.jdom.output.XMLOutputter

  `currentFormat, preserveFormat`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericXMLOutputter()`
  This constructor performs basic setup that can be changed later by the user.

- ## Method Summary

  ### Methods inherited from class org.jdom.output.XMLOutputter

  `clone, escapeAttributeEntities, escapeElementEntities, getFormat, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, outputElementContent, outputElementContent, outputString, outputString, outputString, outputString, outputString, outputString, outputString, outputString, outputString, printAttributes, printCDATA, printComment, printDeclaration, printDocType, printElement, printEntityRef, printProcessingInstruction, printText, setFormat, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_INDENT

    public static final String DEFAULT_INDENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GenericXMLOutputter

    public GenericXMLOutputter()
    This constructor performs basic setup that can be changed later by the user. For example,

              setTextNormalize( true );
              setIndent( DEFAULT_INDENT );
              setNewlines( true );